export default ColorToggleComponent;
declare class ColorToggleComponent extends React.PureComponent<any, any, any> {
    static getDerivedStateFromProps(props: any, state: any): any;
    constructor(props: any);
    styles: Record<string, string>;
    onClicked: () => void;
}
declare namespace ColorToggleComponent {
    export namespace propTypes {
        export const theme: PropTypes.Validator<object>;
        export const children: PropTypes.Requireable<string>;
        export const color: PropTypes.Requireable<string>;
        export const toggle: PropTypes.Validator<(...args: any[]) => any>;
        export const marginBottom: PropTypes.Requireable<string>;
        export const marginButtonClassName: PropTypes.Requireable<string>;
        export const isToggle: PropTypes.Requireable<boolean>;
        export const pickerType: PropTypes.Validator<string>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=color-toggle-component.d.ts.map