export default SettingsComponent;
declare class SettingsComponent extends React.PureComponent<any, any, any> {
    constructor(props: any);
    styles: Record<string, string>;
    handleKeyPress: (e: any) => void;
    onTextChanged: (buttonText: any) => void;
    onLinkPanelChange: ({ url, rel, target }: {
        url: any;
        rel: any;
        target: any;
    }) => void;
    input: any;
}
declare namespace SettingsComponent {
    export namespace propTypes {
        export const theme: PropTypes.Validator<object>;
        export const t: PropTypes.Requireable<(...args: any[]) => any>;
        export const isValidUrl: PropTypes.Requireable<(...args: any[]) => any>;
        export const onSettingsChange: PropTypes.Validator<(...args: any[]) => any>;
        export const settingsObj: PropTypes.Validator<object>;
        export const validUrl: PropTypes.Requireable<boolean>;
        export const isMobile: PropTypes.Requireable<boolean>;
        export const onKeyPress: PropTypes.Requireable<(...args: any[]) => any>;
        export const onBlur: PropTypes.Requireable<(...args: any[]) => any>;
        export const showLinkPanel: PropTypes.Requireable<boolean>;
        export const uiSettings: PropTypes.Requireable<object>;
        export const anchorTarget: PropTypes.Requireable<string>;
        export const relValue: PropTypes.Requireable<string>;
    }
}
import React from "react";
import PropTypes from "prop-types";
//# sourceMappingURL=settings-component.d.ts.map